Bug 184957 - [patch] fix graphics/dri, graphics/libdrm for powerpc
Summary: [patch] fix graphics/dri, graphics/libdrm for powerpc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 08:10 UTC by Andreas Tobler
Modified: 2014-01-31 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.36 KB, patch)
2013-12-18 08:10 UTC, Andreas Tobler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Tobler freebsd_committer 2013-12-18 08:10:00 UTC
The attached patches fixes the build for graphics/dri and graphics/libdrm on powerpc64 and powerpc.
This is with WITH_NEW_XORG="YES".

Build completed on powerpc64 and powerpc

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-23 04:21:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-01-31 21:02:10 UTC
Author: kwm
Date: Fri Jan 31 21:01:57 2014
New Revision: 342071
URL: http://svnweb.freebsd.org/changeset/ports/342071
QAT: https://qat.redports.org/buildarchive/r342071/

Log:
  On ia64 [2] and powerpc [1] only the radeon bits are build. Fix the plist
  for this, while here add powerpc64 too [1].
  
  PR:		ports/184957 [1]
  		ports/184967 [2]
  Submitted by:	Andreas Tobler <andreast@FreeBSD.org> [1]
  		Anton Shterenlikht <mexas@bris.ac.uk> [2]

Modified:
  head/graphics/libdrm/Makefile

Modified: head/graphics/libdrm/Makefile
==============================================================================
--- head/graphics/libdrm/Makefile	Fri Jan 31 20:58:17 2014	(r342070)
+++ head/graphics/libdrm/Makefile	Fri Jan 31 21:01:57 2014	(r342071)
@@ -65,9 +65,12 @@ LIBDRM_REVISION=1
 PLIST_SUB+=	OLD="" NEW="@comment " NOUVEAU=""
 .endif
 
-.if ${ARCH} == "amd64" || ${ARCH} == "i386" || ${ARCH} == "ia64" || ${ARCH} == "powerpc"
+.if ${ARCH} == "amd64" || ${ARCH} == "i386"
 PLIST_SUB+=	INTEL_DRIVER=""
 PLIST_SUB+=	RADEON_DRIVERS=""
+.elif ${ARCH} == ia64 || ${ARCH} == powerpc || ${ARCH} == powerpc64
+PLIST_SUB+=	INTEL_DRIVER="@comment "
+PLIST_SUB+=	RADEON_DRIVERS=""
 .else
 PLIST_SUB+=	INTEL_DRIVER="@comment "
 PLIST_SUB+=	RADEON_DRIVERS="@comment "
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-31 21:05:22 UTC
Author: kwm
Date: Fri Jan 31 21:05:15 2014
New Revision: 342073
URL: http://svnweb.freebsd.org/changeset/ports/342073
QAT: https://qat.redports.org/buildarchive/r342073/

Log:
  Add powerpc64 to the checks for powerpc.
  
  PR:		ports/184957
  Submitted by:	Andreas Tobler <andreast@FreeBSD.org>

Modified:
  head/graphics/dri/Makefile

Modified: head/graphics/dri/Makefile
==============================================================================
--- head/graphics/dri/Makefile	Fri Jan 31 21:02:37 2014	(r342072)
+++ head/graphics/dri/Makefile	Fri Jan 31 21:05:15 2014	(r342073)
@@ -58,14 +58,14 @@ PLIST_SUB+=	GALLIUM=""
 CONFIGURE_ARGS+=--enable-gallium-llvm=no --without-gallium-drivers
 PLIST_SUB+=	GALLIUM="@comment "
 . endif
-. if ${ARCH} == powerpc
+. if ${ARCH} == powerpc || ${ARCH} == powerpc64
 DRI_DRIVERS=	RADEON SWRAST
 . endif
 . if ${ARCH} == sparc64
 DRI_DRIVERS=	SWRAST
 . endif
 .else # !defined(WITH_NEW_XORG)
-. if ${ARCH} == powerpc
+. if ${ARCH} == powerpc || ${ARCH} == powerpc64
 DRI_DRIVERS=	MACH64 RADEON SWRAST TDFX
 . elif ${ARCH} == sparc64
 DRI_DRIVERS=	MACH64 RADEON SWRAST
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2014-01-31 21:05:47 UTC
State Changed
From-To: open->closed

Committed thanks for reporting.